# API Tools Analysis Report Conversion Ant Task

## Purpose

This task converts XML reports created by the `apitooling.analysis` ant task into HTML files.

## Usage

### Description

The name of the ant task is: `apitooling.analysis_reportconversion`. To be used, the jar file `apitooling-ant.jar` has to be on the ant classpath.

    <apitooling.analysis_reportconversion
    	xmlfiles="..."
    	htmlfiles="..."
    	debug="..."
    />

### Parameters

Attribute | Description | Required
xmlfiles | Set the location where the xml reports are retrieved. The location is set using an absolute path. | Yes
htmlfiles | Set the location where the html reports are generated. If not set, the html files are created in the same folder as the xml files. The location is set using an absolute path. | No
debug | Set the debug value. The possible values are: `true`, `false` Default is `false`. | No

### Examples

    	<apitooling.analysis_reportconversion
    		xmlfiles="D:\reports\xml"
    		htmlfiles="D:\reports\html"
    		debug="true"
    	/>

This will create an `index.html` inside the folder `D:\reports\html`. A report for each bundle will be created inside a sub-folder of `D:\reports\html`. Each sub-folder will contain a `report.html`.

Since debug is enabled, some debug tracing will show up in the ant console.

API Tools Analysis Ant Task
API Tools File Generation Ant Task
API Tools API Use Ant Task
API Tools Pluggable API Use Ant Task
API Tools API Freeze Ant Task
API Tools API Freeze Report Conversion Ant Task
API Tools API Use Report Conversion Ant Task